NX Open C++ Reference Guide
|
Create weld labels for multiple welds and BIW locators, this builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects and the order of GetCommittedObject's output array is stable. More...
Public Types | |
enum | OrientationPlaneType { OrientationPlaneTypeXYPlane, OrientationPlaneTypeXZPlane, OrientationPlaneTypeYZPlane, OrientationPlaneTypeModelView, OrientationPlaneTypeLastUserDefined, OrientationPlaneTypeUserDefined } |
This represents the Orientation Plane Type. More... | |
Public Member Functions | |
bool | IncludeLeader () |
Returns the leader option, indicates whether to create a leader Created in NX8.5.0. | |
NXOpen::Annotations::LeaderBuilder * | Leader () |
Returns the Annotations::LeaderBuilder for the annotation Created in NX8.5.0. | |
NXOpen::Features::SelectFeatureList * | Objects () |
Returns the objects that are used to create labels. | |
NXOpen::Annotations::OriginBuilder * | Origin () |
Returns the Annotations::OriginBuilder for the annotation Created in NX8.5.0. | |
NXOpen::Weld::WeldLabelBuilder::OrientationPlaneType | PlaneType () |
Returns the plane type. | |
void | SetIncludeLeader (bool leader) |
Sets the leader option, indicates whether to create a leader Created in NX8.5.0. | |
void | SetPlaneType (NXOpen::Weld::WeldLabelBuilder::OrientationPlaneType planeType) |
Sets the plane type. | |
void | SetUserCsys (NXOpen::CoordinateSystem *userCsys) |
Sets the user specified coordinate system. | |
NXOpen::Annotations::StyleBuilder * | Style () |
Returns the Annotations::StyleBuilder for the annotation Created in NX8.5.0. | |
NXOpen::Annotations::TextWithEditControlsBuilder * | Text () |
Returns the Annotations::TextWithEditControlsBuilder for the annotation Created in NX8.5.0. | |
NXOpen::CoordinateSystem * | UserCsys () |
Returns the user specified coordinate system. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Create weld labels for multiple welds and BIW locators, this builder's Commit can produce more than one object, the GetCommittedObjects can be used to get the objects and the order of GetCommittedObject's output array is stable.
To create a new instance of this class, use Weld::WeldManager::CreateWeldLabelBuilder
Default values.
Property | Value |
---|---|
IncludeLeader |
1 |
Text.TextBlock.CustomSymbolScale |
1.0 |
Text.TextBlock.SymbolAspectRatio |
1.0 |
Text.TextBlock.SymbolHeight |
25.4 (millimeters part), 1.0 (inches part) |
Text.TextBlock.SymbolLength |
25.4 (millimeters part), 1.0 (inches part) |
Text.TextBlock.SymbolPreferences |
UseCurrent |
Text.TextBlock.SymbolScale |
1.0 |
Text.TextBlock.SymbolSizeMethod |
ScaleAndAspectRatio |
Created in NX8.5.0.
This represents the Orientation Plane Type.
bool NXOpen::Weld::WeldLabelBuilder::IncludeLeader | ( | ) |
Returns the leader option, indicates whether to create a leader
Created in NX8.5.0.
License requirements : None
NXOpen::Annotations::LeaderBuilder* NXOpen::Weld::WeldLabelBuilder::Leader | ( | ) |
Returns the Annotations::LeaderBuilder for the annotation
Created in NX8.5.0.
License requirements : None
NXOpen::Features::SelectFeatureList* NXOpen::Weld::WeldLabelBuilder::Objects | ( | ) |
Returns the objects that are used to create labels.
Created in NX8.5.0.
License requirements : None
NXOpen::Annotations::OriginBuilder* NXOpen::Weld::WeldLabelBuilder::Origin | ( | ) |
Returns the Annotations::OriginBuilder for the annotation
Created in NX8.5.0.
License requirements : None
NXOpen::Weld::WeldLabelBuilder::OrientationPlaneType NXOpen::Weld::WeldLabelBuilder::PlaneType | ( | ) |
Returns the plane type.
Created in NX8.5.2.
License requirements : None
void NXOpen::Weld::WeldLabelBuilder::SetIncludeLeader | ( | bool | leader | ) |
Sets the leader option, indicates whether to create a leader
Created in NX8.5.0.
License requirements : ugweld ("UG WELD") OR structure_weld ("STRUCTURE WELD")
leader | leader |
void NXOpen::Weld::WeldLabelBuilder::SetPlaneType | ( | NXOpen::Weld::WeldLabelBuilder::OrientationPlaneType | planeType | ) |
Sets the plane type.
Created in NX8.5.2.
License requirements : ugweld ("UG WELD") OR structure_weld ("STRUCTURE WELD")
planeType | planetype |
void NXOpen::Weld::WeldLabelBuilder::SetUserCsys | ( | NXOpen::CoordinateSystem * | userCsys | ) |
Sets the user specified coordinate system.
Created in NX8.5.2.
License requirements : ugweld ("UG WELD") OR structure_weld ("STRUCTURE WELD")
userCsys | usercsys |
NXOpen::Annotations::StyleBuilder* NXOpen::Weld::WeldLabelBuilder::Style | ( | ) |
Returns the Annotations::StyleBuilder for the annotation
Created in NX8.5.0.
License requirements : None
NXOpen::Annotations::TextWithEditControlsBuilder* NXOpen::Weld::WeldLabelBuilder::Text | ( | ) |
Returns the Annotations::TextWithEditControlsBuilder for the annotation
Created in NX8.5.0.
License requirements : None
NXOpen::CoordinateSystem* NXOpen::Weld::WeldLabelBuilder::UserCsys | ( | ) |
Returns the user specified coordinate system.
Created in NX8.5.2.
License requirements : None